using System;

namespace Susedna_slova
{
    class Program
    {
        static void Main(string[] args)
        {
            
            Console.WriteLine("Unesi njihova omiljena slova spojeno");
            string slova=Console.ReadLine();
            char c1 = slova[0];
            char c2= slova[1];
            if (c1 == c2) { Console.WriteLine("pogresan unos"); return; }
            Console.WriteLine("Unesi broj komada svakog slova");
            string brojevi = Console.ReadLine();
            string[] komadi = brojevi.Split(' ');
            int a1 = int.Parse(komadi[0]);
            int a2 = int.Parse(komadi[1]);
            if (a1 > 50000 || a2 > 50000) { Console.WriteLine("previse slova"); return; }

            if (komadi[0] != komadi[1] && Math.Abs(a1-a2) != 1)
            {
                Console.WriteLine("nemoguce");
            }
            else
            {
                if (a1>=a2)
                {
                    while(a1>0 && a2>0)
                    {
                        Console.Write(c1);
                        a1--;
                        Console.Write(c2);
                        a2--;
                    }
                }
                else 
                {
                    while (a1 > 0 && a2 > 0)
                    {
                        Console.Write(c2);
                        a2--;
                        Console.Write(c1);
                        a1--;
                    }
                }
            }
            

        }
    }
}